Main Page Class Hierarchy Compound List File List Compound Members File Members Related Pages Examples

# SDLCheckButton Class Reference

A single check button. More...

`#include <sdlcheckbutton.h>`

Inheritance diagram for SDLCheckButton

[legend]
Collaboration diagram for SDLCheckButton:

[legend]
List of all members.

## Public Methods
| SDLCheckButton (SDLWidget* parent, int id, SDL_Rect& r, char* text)
| ~SDLCheckButton ()
void | SetUnpressed ()
## Protected Methods
bool | eventMouseButtonUp (const SDL_MouseButtonEvent* my_widgetButton)
| Overridable Eventhandler for a SDL_MouseButtonEvent message. More...
bool | eventButtonClick (int id, SDLWidget* widget)

## Detailed Description

A single check button.

Author(s):
  Alexander Pipelka

Definition at line 48 of file sdlcheckbutton.h.

## Constructor & Destructor Documentation

SDLCheckButton::SDLCheckButton ( | SDLWidget * parent,
| int id,
| SDL_Rect & r,
| char * text )

SDLCheckButton::~SDLCheckButton ( | )

## Member Function Documentation

void SDLCheckButton::SetUnpressed ( | )

bool SDLCheckButton::eventButtonClick ( | int id,
| SDLWidget * widget )`[protected, virtual]`

| Reimplemented from SDLRadioButton.

bool SDLCheckButton::eventMouseButtonUp ( | const SDL_MouseButtonEvent * my_widgetButton )`[protected, virtual]`

  | Overridable Eventhandler for a SDL_MouseButtonEvent message. This handler is called when a mouse button is released. The default implementation returns 'false' which indicates that this message is not processed by this object. Parameters:
  button | SDL_MouseButtonEvent message
Returns: Notifies the message pump if this message is processed by this object or it should be routed to the next message receiver. Reimplemented from SDLRadioButton.

The documentation for this class was generated from the following file:

- sdlcheckbutton.h